summaryrefslogtreecommitdiffstats
path: root/test/scripts
diff options
context:
space:
mode:
authorAndrew Gregory <andrew.gregory.8@gmail.com>2013-11-05 14:50:44 +0100
committerAllan McRae <allan@archlinux.org>2013-11-15 02:02:27 +0100
commitea6aeef8bae01d934cb4aab6d915e0e3e8276df1 (patch)
tree8bde92c911271127efc2fdf20f986e94d3814f96 /test/scripts
parent0da98ec6bac17b4f56b67a6f5b2fa24896671a9f (diff)
downloadpacman-ea6aeef8bae01d934cb4aab6d915e0e3e8276df1.tar.gz
pacman-ea6aeef8bae01d934cb4aab6d915e0e3e8276df1.tar.xz
Makefile.am: fix typo in LOG_DRIVER variable
Self-executing tests were not being run through the tap log driver. This caused `make check` to ignore discrepancies between the expected number of tests and the actual number of tests. Also, fix some uncommented output from test scripts that could confuse TAP parsers. Signed-off-by: Andrew Gregory <andrew.gregory.8@gmail.com> Signed-off-by: Allan McRae <allan@archlinux.org>
Diffstat (limited to 'test/scripts')
-rwxr-xr-xtest/scripts/human_to_size_test.sh2
-rwxr-xr-xtest/scripts/parseopts_test.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/test/scripts/human_to_size_test.sh b/test/scripts/human_to_size_test.sh
index 63061372..a467f27e 100755
--- a/test/scripts/human_to_size_test.sh
+++ b/test/scripts/human_to_size_test.sh
@@ -10,7 +10,7 @@ if [[ -z $lib || ! -f $lib ]]; then
fi
. "$lib"
-if ! type -t human_to_size >/dev/null; then
+if ! type -t human_to_size &>/dev/null; then
printf 'Bail out! human_to_size function not found\n'
exit 1
fi
diff --git a/test/scripts/parseopts_test.sh b/test/scripts/parseopts_test.sh
index 5ff4bc55..00bdbd85 100755
--- a/test/scripts/parseopts_test.sh
+++ b/test/scripts/parseopts_test.sh
@@ -10,7 +10,7 @@ if [[ -z $lib || ! -f $lib ]]; then
fi
. "$lib"
-if ! type -t parseopts >/dev/null; then
+if ! type -t parseopts &>/dev/null; then
printf 'Bail out! parseopts function not found\n'
exit 1
fi